cURL
curl --request PUT \
--url https://api.novacal.io/v1/event-types/{eventType}/booking-forms/{field} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"placeholder": "<string>",
"is_required": true,
"is_active": true,
"position": 1,
"options": [
"<string>"
]
}
'import requests
url = "https://api.novacal.io/v1/event-types/{eventType}/booking-forms/{field}"
payload = {
"label": "<string>",
"placeholder": "<string>",
"is_required": True,
"is_active": True,
"position": 1,
"options": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
placeholder: '<string>',
is_required: true,
is_active: true,
position: 1,
options: ['<string>']
})
};
fetch('https://api.novacal.io/v1/event-types/{eventType}/booking-forms/{field}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"identifier": "<string>",
"label": "<string>",
"type": "text",
"placeholder": "<string>",
"is_required": true,
"is_active": true,
"position": 1,
"options": [
"<string>"
]
}
}Booking Forms
Update Booking Form Field
Update a Novacal booking form field and change its label, input type, placeholder, required state, active status, order, or options.
PUT
/
v1
/
event-types
/
{eventType}
/
booking-forms
/
{field}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of event type
ID of booking form field to update
Body
application/json
Booking form field fields to update.
Fields to update. Send only the fields you want to change. Fields you omit keep their current value.
Display label for the form field
Maximum string length:
255The type of form field
Available options:
text, textarea, select, checkbox, radio, phone, email, multiple_emails Placeholder text for the form field
Maximum string length:
255Whether the form field is required
Whether the form field is active
Display order of the form field
Required range:
x >= 0Selectable options for select, checkbox, or radio fields